// JavaScript Document

$(function(){
	$('.item').click(function(){
		if($(this).hasClass('hasVideo') && isMobile==true){
			var href= $(this).siblings().find('a').attr('href');
			window.open(href);
		}else if($(this).hasClass('hasVideo') && isMobile==false){
			$(this).siblings().find('a').eq(0).click();
		}else if($(this).hasClass('hasAlbum')){
			$(this).siblings().find('a').eq(0).click();
		}
	});


$('.bookingArea').on('click', function() {
        $('.bookingArea ul').toggleClass('showlink');
    });

$('.m_bookingArea').on('click', function() {
        $('.m_bookingArea ul').toggleClass('m_showlink');
    });


    $('.hotelslinkbut, .langLinkbut').on('click', function() {
        $(this).next('ul').toggleClass('showlink');
    });

    $('.m_hotelslinkbut, .m_langLinkbut').on('click', function() {
        $(this).next('ul').toggleClass('m_showlink');
    });

    $(window).scroll(function(){
                var scrollTop = $(document).scrollTop();
                if(scrollTop > 800){
                    $('header').addClass('shrink');
                }else{

                    $('header').removeClass('shrink');
                
                    
                }
            });


/*
$('a.aboutmenu').click(function(){
                var $body = (window.opera) ? (document.compatMode == "CSS1Compat" ? $('html') : $('body')) : $('html,body');
                $body.stop().animate({
                    scrollTop: $('#about').offset().top
                }, 800);
         
                return false;
    });


$('a.hotelsmenu').click(function(){
                var $body = (window.opera) ? (document.compatMode == "CSS1Compat" ? $('html') : $('body')) : $('html,body');
                $body.stop().animate({
                    scrollTop: $('#hotels').offset().top
                }, 800);
         
                return false;
    });

$('a.newsmenu').click(function(){
                var $body = (window.opera) ? (document.compatMode == "CSS1Compat" ? $('html') : $('body')) : $('html,body');
                $body.stop().animate({
                    scrollTop: $('#news').offset().top
                }, 800);
         
                return false;
    });
*/


    $('.aboutArea a.btnDown').click(function(){
                var $body = (window.opera) ? (document.compatMode == "CSS1Compat" ? $('html') : $('body')) : $('html,body');
                $body.stop().animate({
                    scrollTop: $('#about').offset().top
                }, 800);
         
                return false;
    });


    $('footer a.gotopbut').click(function(){
        var $body = (window.opera) ? (document.compatMode == "CSS1Compat" ? $('html') : $('body')) : $('html,body');
        $body.animate({
            scrollTop: 0
        }, 800); 
        return false;
    });


});